;;
;; GgrTF::PSSMangle - 'pss' output parser/mangler
;; (C) Copyright 2005-2008 Matti Hmlinen (Ggr) & Jarkko Vrniemi (Jeskko)
;;
;; This file (triggerset) is Free Software distributed under
;; GNU General Public License version 2.
;;
;; NOTICE! This file requires GgrTF (version 0.6.2 or later) to be loaded.
;;
/loaded GgrTF::PSSMangle
/set gmodule=PSSMangle

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Settings
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
/prdeftoggle -n"fullparty"	-d"Always show full party formation"
/prdeftoggle -n"prettypss"	-d"Make output of /pss and autopss pretty"
/set opt_prettypss=on


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Output and prettyprinting macros
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
/def -i gparty_val =\
	/if (!{1})\
		/let _qtmp=-%;\
	/else \
		/let _qtmp=%{1}%;\
	/endif%;\
	/return "@{$[prgetnlite({1},{2})]}$[pad(_qtmp,4)]@{n}"

/def -i gparty_sc =\
	/eval /set _gp_s=$$[gparty_%{1}_%{2}_s]%;\
	/eval /set _gp_pl=$$[gparty_%{1}_%{2}_pl]%;\
	/eval /set _gp_hp=$$[gparty_%{1}_%{2}_hp]%;\
	/eval /set _gp_hpm=$$[gparty_%{1}_%{2}_hpm]%;\
	/eval /set _gp_sp=$$[gparty_%{1}_%{2}_sp]%;\
	/eval /set _gp_spm=$$[gparty_%{1}_%{2}_spm]%;\
	/eval /set _gp_ep=$$[gparty_%{1}_%{2}_ep]%;\
	/eval /set _gp_epm=$$[gparty_%{1}_%{2}_epm]%;\
	/if (_gp_pl=~"unc")\
		/let tmpc=@{BCwhite,BCbgred}%;\
	/elseif (_gp_pl=~"stun")\
		/let tmpc=@{BCred}%;\
	/elseif (_gp_pl=~"form"|_gp_pl=~"mbr"|_gp_pl=~"rest")\
		/let tmpc=@{Cmagenta}%;\
	/else /let tmpc=@{BCwhite}%;/endif%;\
	/let tmps=$[substr(_gp_s,0,8)]%;\
	/return "%{tmpc}$[pad(tmps,8)]@{n}@{Cblue}:@{n}$[gparty_val(_gp_hp,_gp_hpm)]@{Cblue}:@{n}$[gparty_val(_gp_sp,_gp_spm)]@{Cblue}:@{n}$[gparty_val(_gp_ep,_gp_epm)]"


/def -i gparty_show =\
	/echo ,-----------------------------------------------------------------------.%;\
	/msw |$[gparty_sc(1,1)]|$[gparty_sc(1,2)]|$[gparty_sc(1,3)]|%;\
	/if (gparty_row2 | gparty_row3 | opt_fullparty=~"on")\
	/msw |$[gparty_sc(2,1)]|$[gparty_sc(2,2)]|$[gparty_sc(2,3)]|%;\
	/if (gparty_row3 | opt_fullparty=~"on")\
	/msw |$[gparty_sc(3,1)]|$[gparty_sc(3,2)]|$[gparty_sc(3,3)]|%;\
	/endif%;\
	/endif%;\
	/echo `-----------------------------------------------------------------------'


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Utility and grabbing triggers
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
/set gparty_gag=0
/def pss = /set gparty_gag=1%;@@party status short

/def -i gparty_set =\
	/if (regmatch("^([A-Z][a-z]+)",{2}))\
		/let _gpn=%{P1}%;\
	/else \
		/let _gpn=%{2}%;\
	/endif%;\
	/set gparty_mtmp=%{gparty_mtmp} %{P1}%;\
	/if (!regmatch("^([1-3])\.([1-3])$",{1})) /break%;/endif%;\
	/if ({2}!~"") /set gparty_row%{P1}=1%;/else /set gparty_row%{P1}=0%;/endif%;\
	/let _gps=$[replace(".","_",{1})]%;\
	/eval /set gparty_%{_gps}_os=$$[gparty_%{_gps}_s]%;\
	/eval /set gparty_%{_gps}_opl=$$[gparty_%{_gps}_pl]%;\
	/eval /set gparty_%{_gps}_ohp=$$[gparty_%{_gps}_hp]%;\
	/eval /set gparty_%{_gps}_ohpm=$$[gparty_%{_gps}_hpm]%;\
	/eval /set gparty_%{_gps}_osp=$$[gparty_%{_gps}_sp]%;\
	/eval /set gparty_%{_gps}_ospm=$$[gparty_%{_gps}_spm]%;\
	/eval /set gparty_%{_gps}_oep=$$[gparty_%{_gps}_ep]%;\
	/eval /set gparty_%{_gps}_oepm=$$[gparty_%{_gps}_epm]%;\
	/set gparty_%{_gps}_s=%{_gpn}%;\
	/set gparty_%{_gps}_pl=%{3}%;\
	/set gparty_%{_gps}_hp=%{4}%;\
	/set gparty_%{_gps}_hpm=%{5}%;\
	/set gparty_%{_gps}_sp=%{6}%;\
	/set gparty_%{_gps}_spm=%{7}%;\
	/set gparty_%{_gps}_ep=%{8}%;\
	/set gparty_%{_gps}_epm=%{9}


/def -i gparty_clear =\
	/set gparty_mtmp=%;\
	/for _ccol 1 3 \
	/for _crow 1 3 \
		/gparty_set %%%{_crow}.%%%{_ccol}


/def -i -F -Egparty_gag -p9999 -msimple -t',-----------------------------------------------------------------------------.' gpss_getbegin =\
	/if (opt_prettypss=~"on") /substitute -ag%;/endif%;\
	/gparty_clear


/def -i -F -Egparty_gag -p9999 -mregexp -t"^\|.([1-3?]\.[1-3?])   ([A-Z][a-z ][a-z ]?[a-z ]?[a-z ]?[a-z ]?[a-z ]?[a-z ]?[a-z ]?[a-z ]?[a-z ]?[a-z]?) +(ld|ldr|fol|mbr|form|unc|dead|rest|stun) +([0-9-]+)\( *([0-9-]+)\) +([0-9-]+)\( *([0-9-]+)\) +([0-9-]+)\( *([0-9-]+)\)" gpss_getps =\
	/if (opt_prettypss=~"on") /substitute -ag%;/endif%;\
	/test gparty_set({P1},{P2},{P3},{P4},{P5},{P6},{P7},{P8},{P9})


/def -i -F -Egparty_gag -p9999 -msimple -t'`-----------------------------------------------------------------------------\'' gpss_getend =\
	/set gparty_gag=0%;\
	/set gparty_members=%{gparty_mtmp}%;\
	/if (opt_prettypss=~"on") /substitute -ag%;/gparty_show%;/endif%;\
	/prexecfuncs %{event_pss_once}%;\
	/set event_pss_once=


/def -i -F -p9999 -msimple -t"You are not in a party." gpss_noparty =\
	/set gparty_gag=0%;\
	/set event_pss_once=

